package com.pixelized.desktop.lwa.ui.screen.settings.composable

import androidx.compose.foundation.layout.PaddingValues
import androidx.compose.foundation.layout.padding
import androidx.compose.material.MaterialTheme
import androidx.compose.material.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.Stable
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp
import com.pixelized.desktop.lwa.ui.screen.settings.SettingsScreenDefault
import com.pixelized.desktop.lwa.ui.theme.lwa
import org.jetbrains.compose.resources.StringResource
import org.jetbrains.compose.resources.stringResource

@Stable
data class SettingSectionUio(
    val title: StringResource,
) : SettingItemUio

@Composable
fun SettingSection(
    modifier: Modifier = Modifier,
    padding: PaddingValues = PaddingValues(start = 16.dp, top = 32.dp, end = 16.dp, bottom = 16.dp),
    item: SettingSectionUio,
) {
    Text(
        modifier = modifier.padding(paddingValues = padding),
        style = MaterialTheme.lwa.typography.settings.section,
        maxLines = 1,
        text = stringResource(resource = item.title),
    )
}